Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openorb.CORBA.dii
Class NVList

    java.lang.Object
      |
      +--org.omg.CORBA.NVList
            |
            +--org.openorb.CORBA.dii.NVList

public class NVList
extends NVList

This class is the implementation of the NVList OMG class. It manages a list of NamedValue.

Version:
  $Revision: 1.6 $ $Date: 2002/07/16 11:40:23 $
Author:
  Jerome Daniel
See Also:
  `NamedValue`

Constructor Summary
`NVList(ORB orb)` Constructor

Method Summary
`NamedValue` | `add_item(java.lang.String item_name, int flags)` Add a named value into the list by supplying a flag and a name.
`NamedValue` | `add_value(java.lang.String item_name, Any val, int flags)` Add a named value into the list by supplying a flag, a name and a value.
`NamedValue` | `add(int flags)` Add a named value into the list by supplying a flag.
`void` | `add(NamedValue nv)` Add a named value into the list
`int` | `count()` Return the nv list size
`void` | `insert(java.lang.String item_name, Any val, int flags, int index)` Insert a NamedValue to a specified index
`NamedValue` | `item(int index)` Return a nv list item
`void` | `remove(int index)` Remove an item from the nv list

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NVList

    public NVList(ORB orb)

  Constructor

Method Detail

### count

    public int count()

  Return the nv list size
  Overrides:
    `count` in class `NVList`

### add

    public NamedValue add(int flags)

  Add a named value into the list by supplying a flag.
  Overrides:
    `add` in class `NVList`

### add_item

    public NamedValue add_item(java.lang.String item_name,
                               int flags)

  Add a named value into the list by supplying a flag and a name.
  Overrides:
    `add_item` in class `NVList`

### add_value

    public NamedValue add_value(java.lang.String item_name,
                                Any val,
                                int flags)

  Add a named value into the list by supplying a flag, a name and a value.
  Overrides:
    `add_value` in class `NVList`

### add

    public void add(NamedValue nv)

  Add a named value into the list

### item

    public NamedValue item(int index)
                    throws Bounds

  Return a nv list item
  Overrides:
    `item` in class `NVList`

### remove

    public void remove(int index)
                throws Bounds

  Remove an item from the nv list
  Overrides:
    `remove` in class `NVList`

### insert

    public void insert(java.lang.String item_name,
                       Any val,
                       int flags,
                       int index)
                throws Bounds

  Insert a NamedValue to a specified index

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD